Package org.codehaus.janino

# Interface Java.ArrayInitializerOrRvalue

All Superinterfaces:
  `Java.Locatable`

All Known Implementing Classes:
  `Java.AmbiguousName`, `Java.ArrayAccessExpression`, `Java.ArrayCreationReference`, `Java.ArrayInitializer`, `Java.ArrayLength`, `Java.Assignment`, `Java.BinaryOperation`, `Java.BooleanLiteral`, `Java.BooleanRvalue`, `Java.Cast`, `Java.CharacterLiteral`, `Java.ClassInstanceCreationReference`, `Java.ClassLiteral`, `Java.ConditionalExpression`, `Java.Crement`, `Java.FieldAccess`, `Java.FieldAccessExpression`, `Java.FloatingPointLiteral`, `Java.Instanceof`, `Java.IntegerLiteral`, `Java.Invocation`, `Java.LambdaExpression`, `Java.Literal`, `Java.LocalVariableAccess`, `Java.Lvalue`, `Java.MethodInvocation`, `Java.MethodReference`, `Java.NewAnonymousClassInstance`, `Java.NewArray`, `Java.NewClassInstance`, `Java.NewInitializedArray`, `Java.NullLiteral`, `Java.ParameterAccess`, `Java.ParenthesizedExpression`, `Java.QualifiedThisReference`, `Java.Rvalue`, `Java.SimpleConstant`, `Java.StringLiteral`, `Java.SuperclassFieldAccessExpression`, `Java.SuperclassMethodInvocation`, `Java.TextBlock`, `Java.ThisReference`, `Java.UnaryOperation`

Enclosing class:
  `Java`

public static interface Java.ArrayInitializerOrRvalue extends Java.Locatable
The union of `Java.ArrayInitializer` and `Java.Rvalue`.

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.ArrayInitializerOrRvalueVisitor<R,EX> aiorvv)`
`void`
`setEnclosingScope(Java.Scope s)`
Sets the immediately enclosing scope for this array initializer or rvalue.

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

## Method Details

### setEnclosingScope

void setEnclosingScope(Java.Scope s)
Sets the immediately enclosing scope for this array initializer or rvalue.

### accept

@Nullable <R, EX extends Throwable> R accept(Visitor.ArrayInitializerOrRvalueVisitor<R,EX> aiorvv) throws EX

Throws:
  `EX`